Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 277158 - dev-scheme/guile-gnome-platform: uses -Werror during build
Summary: dev-scheme/guile-gnome-platform: uses -Werror during build
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Scheme Project
URL: http://blog.flameeyes.eu/2009/02/25/f...
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source werror
  Show dependency tree
 
Reported: 2009-07-09 11:12 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-07-17 13:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (guile-gnome-platform-2.16.1:20090709-034508.log,374.08 KB, text/plain)
2009-07-09 11:12 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-09 11:12:08 UTC
Hello,

you're receiving this canned bug because the package in summary uses the flag -Werror during build, which transforms warnings in errors, and is prone to break software when new GCC releases are added to Gentoo.

Please make sure your package does not use -Werror during build, so that it can be more future-proof for the new GCC releases.

Thanks,
Diego

P.S.: this also make it break with fortify-source!
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-09 11:12:23 UTC
Created attachment 197307 [details]
Build log
Comment 2 Marijn Schouten (RETIRED) gentoo-dev 2009-07-17 13:15:59 UTC
fixed.